import Checkbox from '@ember/component/checkbox';
import LinkComponent from '@ember/routing/link-component';
import TextArea from '@ember/component/text-area';
import TextField from '@ember/component/text-field';

export default {
  initialize(/* application */): void {
    Checkbox.reopen({
      attributeBindings: ['aria-label', 'data-state'],
    });

    LinkComponent.reopen({
      attributeBindings: ['aria-label', 'data-state'],
    });

    TextArea.reopen({
      attributeBindings: ['aria-label', 'data-state'],
    });

    TextField.reopen({
      attributeBindings: ['aria-label', 'data-state'],
    });
  },
};
