const merge = require('ember-cli-lodash-subset').merge;
const EmberAddon = require('ember-cli/lib/broccoli/ember-addon');
const defaultOptions = require('@choiceform/ui-foundation/defaults')({
  importCustomPropertiesFrom: [],

  preserveCustomProperties: true,

  importCustomMediaFrom: [],

  preserveCustomMedia: false,
});

module.exports = function(defaults) {
  const options = merge({}, defaultOptions, {
    useDeviceJS: false,

    useNormalizeCSS: false,

    // see: https://github.com/bfred-it/object-fit-images#usage
    useObjectFitImagesPolyfill: false,
  });

  const app = new EmberAddon(defaults, options);

  return app.toTree();
};
