const merge = require('ember-cli-lodash-subset').merge;

module.exports = {
  name: require('./package').name,

  isDevelopingAddon() {
    return process.env.EMBER_ENV === 'development';
  },

  included(parent) {
    this.options = merge({}, this.options, parent.options);
    this._super.included.apply(this, arguments); // eslint-disable-line prefer-rest-params
  },
};
